Bug 971105 - Wired status unplugged, though usb network is plugged and active
Wired status unplugged, though usb network is plugged and active
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
18
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 13:12 EDT by Ingvar Hagelund
Modified: 2014-02-05 16:41 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:41:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing wrong cable status on usb plugged Android phone (24.12 KB, image/png)
2013-06-05 13:12 EDT, Ingvar Hagelund
no flags Details

  None (edit)
Description Ingvar Hagelund 2013-06-05 13:12:37 EDT
Created attachment 757291 [details]
Screenshot showing wrong cable status on usb plugged Android phone

Description of problem:
When I plug in my Samsung Galaxy S USB cable (and applies internet sharing via USB on the phone), NetworkManager happily adds an interface usb0, and gets an address for it via DHCP. So far, so good. But the applet still shows "cable unplugged".

Version-Release number of selected component (if applicable):
network-manager-applet-0.9.8.1-4.git20130514.fc18

How reproducible:
Always

Steps to Reproduce:
1. Start a standard GNOME3 session
2. Plug a network-over-usb device, like an Android phone
3. Check the network-manager applet status

Actual results:
Cable unplugged, though usb0 is up

Expected results:
The truth

Additional info:
See attached screenshot
Comment 1 Dan Williams 2013-06-05 13:31:14 EDT
Can you run 'nmcli dev' for me and paste in what it says for usb0?
Comment 2 Ingvar Hagelund 2013-06-05 15:02:35 EDT
$ nmcli dev
DEVICE     TYPE              STATE        
usb0       802-3-ethernet    connected    
wlan0      802-11-wireless   unavailable  
eth0       802-3-ethernet    unavailable  

This is with wireless switched off. Ethernet is unplugged.
Comment 3 Ingvar Hagelund 2013-06-05 15:03:49 EDT
(ethernet as in eth0, that is)
Comment 4 Dan Williams 2013-06-05 15:49:23 EDT
Ok, this is a GNOME Shell bug then, it's not properly handling state when multiple ethernet devices exist.
Comment 5 Fedora End Of Life 2013-12-21 08:52:40 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 16:41:29 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.